ubuntuにRubyonRailsをインストールする

ubuntuのメモ残し。


1.
$sudo apt-get install ruby
$sudo apt-get install gems
$sudo apt-get install rails
をインストール

結論:×
多分問題ないんだろうけど、各種のバージョン情報をチェックすると、
apt-getで入れたrailsだけバージョンチェックできない。
→多分あとで問題が出るだろうと思う



2.
$sudo apt-get install ruby

$sudo apt-get install gems
$sudo gem install rails

結論:○
全部のバージョンチェックが可能

ただし2の工程で、1を先にやってしまっていると、apt-getで完全に削除しないといけない。
インストールを普通にすると、こける。


多分こんなエラー。

WARNING:  Installing to ~/.gem since /usr/lib/ruby/gems/1.8 and
          /usr/bin aren’t both writable.
WARNING:  You don’t have /home/*****/.gem/ruby/1.8/bin in your PATH,
          gem executables will not run.
Successfully installed rails-2.3.2
1 gem installed
Installing ri documentation for rails-2.3.2…
Installing RDoc documentation for rails-2.3.2…


最後のgem install railsは、sudoでやらないとインストできない。
参考:rails -v でバージョンが表示された

機械忍者

某SEO会社(?)勤務。 多分日本語よりHTMLの方が得意です。 最近はRubyとかいうキラキラな言語も勉強中です。 SEOはもう標準スキルになってきてると思うので正直もうあんまり昔ほどの熱意は感じません。 新たに躍動してる人も多いですしね。 だれか強化骨格コスプレあったら教えてください。